Loading...
Searching...
No Matches
lime::C255 Struct Reference

curve 25519 data types size definition More...

`#include <lime_keys.hpp>`

## Static Public Member Functions

static constexpr lime::CurveId | curveId ()
| the C25519 curve id using the CurveId enumeration
static constexpr size_t | Xsize (lime::Xtype dataType)
| for X25519, public, private and shared secret have the same length: 32 bytes
static constexpr size_t | DSAsize (lime::DSAtype dataType)
| for Ed25519, public and private key have the same length: 32 bytes, signature is 64 bytes long

## Detailed Description

curve 25519 data types size definition

use a 4 chars(C255) to identify it to improve code readability

## Member Function Documentation

## curveId()

constexpr lime::CurveId lime::C255::curveId | ( |  | ) |

inline static constexpr

the C25519 curve id using the CurveId enumeration

## DSAsize()

constexpr size_t lime::C255::DSAsize | ( | lime::DSAtype | dataType | ) |

inline static constexpr

for Ed25519, public and private key have the same length: 32 bytes, signature is 64 bytes long

## Xsize()

constexpr size_t lime::C255::Xsize | ( | lime::Xtype | dataType | ) |

inline static constexpr

for X25519, public, private and shared secret have the same length: 32 bytes

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/lime_keys.hpp